package com.kym.common.controller;

import com.kym.common.R;

import java.util.function.Consumer;
import java.util.function.Supplier;


public class IController {

    public R<?> resp(Supplier<?> supplier) {
        return R.success(supplier.get());
    }

    public R<?> resp(Consumer<?> consumer) {
        consumer.accept(null);
        return R.success();
    }
}
